Subject: Re: bug#66646: 29.1.90; No tsx syntax highlithting in typescript-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Oct 2023 13:33:45 +0300

> From: Roman Rudakov <[email-masked]>
> Date: Fri, 20 Oct 2023 12:13:15 +0200
> 
> 
> - install the latest typescript/tsx grammar.
> - open a .tsx source file
> 
> I'm getting the following error in the *Messages* buffer:
> 
> Error during redisplay: (jit-lock-function 1) signaled 
> (treesit-query-error "Structure error at" 22 "(jsx_opening_element 
> [(nested_identifier (identifier)) (identifier)] 
> @typescript-ts-jsx-tag-face) (jsx_closing_element [(nested_identifier 
> (identifier)) (identifier)] @typescript-ts-jsx-tag-face) 
> (jsx_self_closing_element [(nested_identifier (identifier)) 
> (identifier)] @typescript-ts-jsx-tag-face) (jsx_attribute 
> (property_identifier) @typescript-ts-jsx-attribute-face)" "Debug the 
> query with `treesit-query-validate'")

I cannot reproduce this.  I used a random *.tsx file on my system, and
didn't get any error.  So please post the file you used, and also
describe step by step what to do to reproduce the problem starting
from "emacs -Q".

Thanks.